"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = resolveModule;

var _ramda = require("ramda");

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function resolveModule(useES, name, fromPath) {
  var ramdaPath = _path.default.dirname(require.resolve("ramda/package.json", {
    paths: [fromPath]
  })); // We do not need to change the search path based on useES since src and es are both built from the
  // same source in Ramda, and the directories will therefore always have identical contents.


  var methods = _fs.default.readdirSync(_path.default.join(ramdaPath, "src")).filter(function (name) {
    return _path.default.extname(name) == ".js";
  }).map(function (name) {
    return _path.default.basename(name, ".js");
  });

  for (var category in methods) {
    if ((0, _ramda.contains)(name, methods)) {
      return "ramda/".concat(useES ? "es" : "src", "/").concat(name);
    }
  }

  throw new Error("Ramda method ".concat(name, " was not a known function\n    Please file a bug if it's my fault https://github.com/megawac/babel-plugin-ramda/issues\n  "));
}